Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatActiveStories

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatActiveStories

Enclosing class:
  TdApi

public static final class TdApi.ChatActiveStories extends TdApi.Object
Describes active stories posted by a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat that posted the stories.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.StoryList`
`list`
Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.
`int`
`maxReadStoryId`
Identifier of the last read active story.
`long`
`order`
A parameter used to determine order of the stories in the story list; 0 if the stories doesn't need to be shown in the story list.
`TdApi.StoryInfo[]`
`stories`
Basic information about the stories; use getStory to get full information about the stories.

## Constructor Summary

Constructors
Constructor
Description
`ChatActiveStories()`
Describes active stories posted by a chat.
`ChatActiveStories(long chatId, TdApi.StoryList list, long order, int maxReadStoryId, TdApi.StoryInfo[] stories)`
Describes active stories posted by a chat.
`ChatActiveStories(DataInput input)`
Describes active stories posted by a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat that posted the stories.

### list

public TdApi.StoryList list
Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.

### order

public long order
A parameter used to determine order of the stories in the story list; 0 if the stories doesn't need to be shown in the story list. Stories must be sorted by the pair (order, storySenderChatId) in descending order.

### maxReadStoryId

public int maxReadStoryId
Identifier of the last read active story.

### stories

public TdApi.StoryInfo[] stories
Basic information about the stories; use getStory to get full information about the stories. The stories are in a chronological order (i.e., in order of increasing story identifiers).

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatActiveStories

public ChatActiveStories()
Describes active stories posted by a chat.

### ChatActiveStories

public ChatActiveStories(long chatId, TdApi.StoryList list, long order, int maxReadStoryId, TdApi.StoryInfo[] stories)
Describes active stories posted by a chat.

Parameters:
  `chatId` - Identifier of the chat that posted the stories.
  `list` - Identifier of the story list in which the stories are shown; may be null if the stories aren't shown in a story list.
  `order` - A parameter used to determine order of the stories in the story list; 0 if the stories doesn't need to be shown in the story list. Stories must be sorted by the pair (order, storySenderChatId) in descending order.
  `maxReadStoryId` - Identifier of the last read active story.
  `stories` - Basic information about the stories; use getStory to get full information about the stories. The stories are in a chronological order (i.e., in order of increasing story identifiers).

### ChatActiveStories

public ChatActiveStories(DataInput input) throws IOException
Describes active stories posted by a chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`